## Input Processing

### parse

In supporting barcode symbologies, when the *parse* option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value, useful for specifying unprintable characters.

Note: When this option is enabled, literal instances of `^NNN` in the input data can be escaped as `^094NNN`.

#### Example

Equivalent symbols:

```
Data:    This is Data Matrix
Options: 
Encoder: datamatrix
```

```
Data:    This is ^068ata Matrix
Options: parse
Encoder: datamatrix
```

![](images/optparse.png)

### parsefnc

In supporting barcode symbologies, when the **parsefnc** option is specified, non-data function characters can be specified by escaped combinations such as `^FNC1`, `^FNC4`, `^SFT/` and `^ECI000003`.

Note: When this option is enabled, literal instances of `^` in the input data can be escaped as `^^`.

#### Example

Manually-composed Code 93 Extended demonstrating use of the special shift combination `(/)A` to represent _!_:

```
Data:    TERRY^SFT/A
Options: parsefnc includecheck
Encoder: code93
```

![](images/optparsefnc.png)

