### DotCode

The **DotCode** symbology is 2D matrix-style barcode that can encode full 256 character extended-ASCII.

Also known as: Ribbon Code

Variants:

  * [GS1 DotCode](GS1-DotCode) is a variant of DotCode that should be used when encoding data that is in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format).

Standards: AIM - ISS DotCode.

#### Data and Options

  * The data field can contain any extended ASCII data. The default interpretation of data by readers is in accordance with ISO/IEC 8859-1.
  * When the **parse** option is specified, any instances of `^NNN` in the data field are replaced with their equivalent ASCII value. This is useful for specifying unprintable characters.
  * When the **parsefnc** option is specified, non-data function characters can be specified by escape sequences:
    * `^FNC1`: FNC1. _Recommendation: Use [GS1 DotCode](GS1-DotCode) for encoding GS1 AI syntax data._
    * `^FNC2`: FNC2
    * `^FNC3`: FNC3
  * The **ratio** is used to specify the aspect ratio of the symbol. The default is 1.5.
  * The **columns** and **rows** options are used to specify the size of the symbol. When these are not specified a symbol is generated that maintains the selected aspect ratio.
  * _Deprecated: Use only if performance is a concern._ The **fast** option is used to enable the optional high-speed symbol masking algorithm.


#### Examples

```
Data:    This is DotCode
Options: inkspread=0.16
Encoder: dotcode
```

![](images/dotcode-1.png)
