### GS1 DataBar Expanded

**GS1 DataBar Expanded** is a variable-length, linear barcode symbology that can be used to encode a  GTIN-14 alongside a number of other application identifiers for use at point of sale.

Also known as: RSS Expanded.

Variants:

  * [GS1 DataBar Expanded Stacked](GS1-DataBar-Expanded-Stacked) is a variant of GS1 DataBar Expanded for use where a taller, narrower symbol is required.
  * [GS1 DataBar Expanded Composite](GS1-Composite-Symbols) is a variant of GS1 DataBar Expanded that should be used when a CC-A or CC-B GS1 composite 2D component is required.
  * [GS1 North American Coupon Code](GS1-North-American-Coupon-Code) is an applicaiton of GS1 DataBar Expanded for use with a paperless coupon system.

Standards: ISO/IEC 24724, ITS Reduced Space Symbology (RSS), AIM ISS - Reduced Space Symbology (RSS), GS1 General Specifications.

#### Data and Options

  * The data field input is provided in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format).
  * Note that it is not necessary to specify _FNC1_ characters since the encoder will insert these automatically where necessary.
  * _Deprecated._ The **dontlint** option disables GS1 Application Identifier syntax validation allowing images to be generated for input that does not comply with GS1 standards.
  * If the data contains a number of application identifiers matching any of the specifications below then they should be provided in this given order for maximum encoding efficiency:
    * `(01)9...(3103)...`
    * `(01)9...(3202)...`
    * `(01)9...(3203)...`
    * `(01)9...(310x/320x)...(11/13/15/17)...`
    * `(01)9...(310x/320x)...`
    * `(01)9...(392x)...`
    * `(01)9...(393x)...`
    * `(01)...`
  * _Deprecated: For internal use._ The **linkage** option signifies the presence of a GS1 composite 2D component.

#### Examples

```
Data:    (01)95012345678903(3103)000123
Options: 
Encoder: databarexpanded
```

![](images/databarexpanded-1.png)
