### GS1 DotCode

**GS1 DotCode** is an implementation of the [DotCode](DotCode) barcode symbology with [GS1 formatted](GS1-Application-Identifier-Standard-Format) data.

Standards: AIM - ISS DotCode, GS1 General Specifications.

#### Data and Options

  * The data field input is provided in [GS1 Application Identifier standard format](GS1-Application-Identifier-Standard-Format) starting with the mandatory _(01)_ Application Identifier.
  * Note that it is not necessary to specify _FNC1_ characters since the encoder will insert these automatically where necessary.
  * _Deprecated._ The **dontlint** option disables GS1 Application Identifier syntax validation allowing images to be generated for input that does not comply with GS1 standards.
  * The **ratio** is used to specify the aspect ratio of the symbol. The default is 1.5.
  * The **columns** and **rows** options are used to specify the size of the symbol. When these are not specified a symbol is generated that maintains the selected aspect ratio.
  * _Deprecated: Use only if performance is a concern._ The **fast** option is used to enable the optional high-speed symbol masking algorithm.

#### Examples

```
Data:    (235)5vBZIF%!<B;?oa%(01)01234567890128(8008)19052001
Options: rows=16
Encoder: gs1dotcode
```

![](images/gs1dotcode-1.png)
