### Swiss QR Code

**Swiss QR Code** is a variant of the [QR Code](QR-Code) barcode symbology for use with the QR-bill application supporting Swiss payments.

Standards: Swiss Implementation Guidelines QR-bill, ISO/IEC 18004, ITS - QR Code

#### Data and Options

  * The data field input is provided in the format described in the Swiss Implementation Guidelines QR-bill document.
  * The **version** option is used to specify the size of the symbol, 5 to 25. This is not typically specified.
  * If the **version** is unspecified the encoder will default to creating a symbol that is the minimum size to represent the given data at the selected error correction level.

Note: Swiss QR Code specifies that the image shall be 46mm x 46mm (excluding
quiet zone), irrespective of QR Code version, and is overlayed with a fixed 7mm
x 7mm Swiss Cross pattern. The Swiss Cross pitch bears no relation to the
module width of the QR symbol, so we must assume that the application provides
sufficient resolution throughout the print process that defects produced by
issues such as pixel grazing are insignificant. Therefore, unlike most other
encoders, we do not pick a fixed module width to assist with grid fitting but
rather ensure that the image is scaled to a fixed size, per the specification.

#### Example

```
Data:
         SPC
         0200
         1
         CH5800791123000889012
         S
         Robert Schneider AG
         Rue du Lac
         1268
         2501
         Biel
         CH
         
         
         
         
         
         
         
         199.95
         CHF
         K
         Pia-Maria Rutschmann-Schnyder
         Grosse Marktgasse 28
         9400 Rorschach
         
         
         CH
         SCOR
         RF18539007547034
         
         EPD
Options:
Encoder: swissqrcode
```

![](images/swissqrcode-1.png)
